Returns the term prefix

- « SolrQuery::getTermsMinCount

- SolrQuery::getTermsReturnRaw »

- PHP Manual
- SolrQuery
- Returns the term prefix

# SolrQuery::getTermsPrefix

(PECL solr >= 0.9.2)

SolrQuery::getTermsPrefix — Returns the term prefix

### Description

public SolrQuery::getTermsPrefix(): string

Returns the prefix to which matching terms must be restricted. This will restrict matches to only terms that start with the prefix

### Parameters

This function has no parameters.

### Return Values

Returns a string on success and `null` if not set.